Skip to main content
GET
/
v1
/
job
/
{task_id}
Job
curl --request GET \
  --url https://query.emergedata.ai/v1/job/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "task_id": "82f80278-5e76-4d01-8f1d-b55e08f12a52",
  "status": "COMPLETED",
  "url": "https://query-results.s3.amazonaws.com/82f80278-5e76-4d01-8f1d-b55e08f12a52.parquet",
  "created_at": "2026-02-12T09:10:11Z",
  "expire_at": "2026-02-19T09:10:11Z"
}

Authorizations

Authorization
string
header
required

API token from the Control Room. Include as Authorization: Bearer <token>

Path Parameters

task_id
string<uuid>
required

Response

Successful Response

task_id
string<uuid>
status
enum<string>
Available options:
PENDING,
RUNNING,
COMPLETED,
FAILED
url
string | null
created_at
string<date-time>
expire_at
string<date-time> | null